Vector::BLF::EthernetErrorEx(3)

NAME
Vector::BLF::EthernetErrorEx - ETHERNET_ERROR_EX.

SYNOPSIS

#include <EthernetErrorEx.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
virtual uint16_t calculateStructLength () const
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t structLength {}
Length of this structure.
uint16_t flags {}
flags, which indicates the valid fields:
uint16_t channel {}
application channel, i.e. Eth 1
uint16_t hardwareChannel {}
HW channel.
uint64_t frameDuration {}
Transmission duration in [ns].
uint32_t frameChecksum {}
Ethernet checksum.
uint16_t dir {}
Direction flag: 0=Rx, 1=Tx, 2=TxRq.
uint16_t frameLength {}
Number of valid frameData bytes.
uint32_t frameHandle {}
Handle which refer the corresponding EthernetFrameForwarded event.
uint32_t error {}
std::vector< uint8_t > frameData {}
Max 1612 data bytes per frame. Contains Ethernet header + Ethernet payload.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

ETHERNET_ERROR_EX.

Member Function Documentation

  uint32_t Vector::BLF::EthernetErrorEx::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  uint16_t Vector::BLF::EthernetErrorEx::calculateStructLength () const [virtual]
Calculates structLength.

Returns
    struct length

  void Vector::BLF::EthernetErrorEx::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::EthernetErrorEx::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::EthernetErrorEx::error {}
Error code

•   1: Data Length Error

•   2: Invalid CRC

•   3: Invalid Data received

•   4: Collision detected

  uint16_t Vector::BLF::EthernetErrorEx::flags {}

flags, which indicates the valid fields:

•   Bit 0 - reserved

•   Bit 1 - hardwareChannel valid

•   Bit 2 - frameDuration valid

•   Bit 3 - frameChecksum valid

•   Bit 4 - frameHandle valid

  uint16_t Vector::BLF::EthernetErrorEx::structLength {}

Length of this structure. Length of this structure, without sizeof(ObjectHeader) and without raw data length

Author

Generated automatically by Doxygen for Vector BLF from the source code.